Bug 2086531

Summary: F36FailsToInstall: ocrmypdf
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: ocrmypdfAssignee: Elliott Sales de Andrade <quantum.analyst>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: python-sig, quantum.analyst
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ocrmypdf-13.4.4-1.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-25 01:04:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1992487    

Description Miro Hrončok 2022-05-16 11:45:48 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (ocrmypdf) Fails To Install in Fedora 36:

can't install ocrmypdf:
  - nothing provides ((python3.10dist(pdfminer-six) < 20200720 or python3.10dist(pdfminer-six) > 20200720) with python3.10dist(pdfminer-six) <= 20220319 with python3.10dist(pdfminer-six) >= 20191110) needed by ocrmypdf-13.4.2-2.fc36.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-36-x86_64 --disablerepo='*' --enablerepo=local install ocrmypdf


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-05-17 21:39:55 UTC
FEDORA-2022-7089937b45 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7089937b45

Comment 2 Fedora Update System 2022-05-25 01:04:21 UTC
FEDORA-2022-7089937b45 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.